/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
/***********************************************
 * Licensed Materials - Property of IBM
 *
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.insurance.life.db.entities;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

@Entity
public class Applicationinformation extends InsuranceBaseObject implements Serializable {

	private String contracttype;

	private String plantype;

	private String sourceoffunds;

	private String deathbenefitelection;

	private String incomebenefitelection;

	private String accumulationbenefitelection;

	private String withdrawalbenefitelection;

	private String contingentannuitants;

	private String valueofsourceoffunds;

	private String isannuitanttheowner;

	@ManyToOne
	private Customer customer;

	@ManyToOne(cascade=CascadeType.ALL)
	private Product product;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Dca> dcaCollection;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Percentagedetails> percentagedetailsCollection;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Illustration> illustrationCollection;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Esignconsent> esignconsentCollection;

	@OneToMany(mappedBy="applicationinformationapplicationinformation",cascade=CascadeType.ALL)
	private Set<Person> personCollection;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Person> personCollection2;

	@OneToMany(mappedBy="applicationinformation")
	private Set<Suitabilitydetermination> suitabilitydeterminationCollection;

	@OneToMany(mappedBy="applicationinformation",cascade=CascadeType.ALL)
	private Set<Benificiary> benificiaryCollection;

	private static final long serialVersionUID = 1L;

	public Applicationinformation() {
		super();
	}

	public String getContracttype() {
		return this.contracttype;
	}

	public void setContracttype(String contracttype) {
		this.contracttype = contracttype;
	}

	public String getPlantype() {
		return this.plantype;
	}

	public void setPlantype(String plantype) {
		this.plantype = plantype;
	}

	public String getSourceoffunds() {
		return this.sourceoffunds;
	}

	public void setSourceoffunds(String sourceoffunds) {
		this.sourceoffunds = sourceoffunds;
	}

	public String getDeathbenefitelection() {
		return this.deathbenefitelection;
	}

	public void setDeathbenefitelection(String deathbenefitelection) {
		this.deathbenefitelection = deathbenefitelection;
	}

	public String getIncomebenefitelection() {
		return this.incomebenefitelection;
	}

	public void setIncomebenefitelection(String incomebenefitelection) {
		this.incomebenefitelection = incomebenefitelection;
	}

	public String getAccumulationbenefitelection() {
		return this.accumulationbenefitelection;
	}

	public void setAccumulationbenefitelection(String accumulationbenefitelection) {
		this.accumulationbenefitelection = accumulationbenefitelection;
	}

	public String getWithdrawalbenefitelection() {
		return this.withdrawalbenefitelection;
	}

	public void setWithdrawalbenefitelection(String withdrawalbenefitelection) {
		this.withdrawalbenefitelection = withdrawalbenefitelection;
	}

	public String getContingentannuitants() {
		return this.contingentannuitants;
	}

	public void setContingentannuitants(String contingentannuitants) {
		this.contingentannuitants = contingentannuitants;
	}

	public String getValueofsourceoffunds() {
		return this.valueofsourceoffunds;
	}

	public void setValueofsourceoffunds(String valueofsourceoffunds) {
		this.valueofsourceoffunds = valueofsourceoffunds;
	}

	public String getIsannuitanttheowner() {
		return this.isannuitanttheowner;
	}

	public void setIsannuitanttheowner(String isannuitanttheowner) {
		this.isannuitanttheowner = isannuitanttheowner;
	}

	public Customer getCustomer() {
		return this.customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	public Product getProduct() {
		return this.product;
	}

	public void setProduct(Product product) {
		this.product = product;
	}

	public Set<Dca> getDcaCollection() {
		return this.dcaCollection;
	}

	public void setDcaCollection(Set<Dca> dcaCollection) {
		this.dcaCollection = dcaCollection;
	}

	public Set<Percentagedetails> getPercentagedetailsCollection() {
		return this.percentagedetailsCollection;
	}

	public void setPercentagedetailsCollection(Set<Percentagedetails> percentagedetailsCollection) {
		this.percentagedetailsCollection = percentagedetailsCollection;
	}

	public Set<Illustration> getIllustrationCollection() {
		return this.illustrationCollection;
	}

	public void setIllustrationCollection(Set<Illustration> illustrationCollection) {
		this.illustrationCollection = illustrationCollection;
	}

	public Set<Esignconsent> getEsignconsentCollection() {
		return this.esignconsentCollection;
	}

	public void setEsignconsentCollection(Set<Esignconsent> esignconsentCollection) {
		this.esignconsentCollection = esignconsentCollection;
	}

	public Set<Person> getPersonCollection() {
		return this.personCollection;
	}

	public void setPersonCollection(Set<Person> personCollection) {
		this.personCollection = personCollection;
	}

	public Set<Person> getPersonCollection2() {
		return this.personCollection2;
	}

	public void setPersonCollection2(Set<Person> personCollection2) {
		this.personCollection2 = personCollection2;
	}

	public Set<Suitabilitydetermination> getSuitabilitydeterminationCollection() {
		return this.suitabilitydeterminationCollection;
	}

	public void setSuitabilitydeterminationCollection(Set<Suitabilitydetermination> suitabilitydeterminationCollection) {
		this.suitabilitydeterminationCollection = suitabilitydeterminationCollection;
	}

	public Set<Benificiary> getBenificiaryCollection() {
		return this.benificiaryCollection;
	}

	public void setBenificiaryCollection(Set<Benificiary> benificiaryCollection) {
		this.benificiaryCollection = benificiaryCollection;
	}

}
