/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
/***********************************************
 * Licensed Materials - Property of IBM
 *
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.insurance.life.db.entities;

import java.io.Serializable;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.OneToMany;
import javax.persistence.NamedQuery;

@Entity
@NamedQueries({@NamedQuery(name="getCustomerList", query = "SELECT c FROM Customer c"),@NamedQuery(name="getCustomerIdList", query = "SELECT c.id FROM Customer c"),
	@NamedQuery(name="getCustomerId", query = "SELECT c.id FROM Customer c WHERE c.id NOT IN ( :id)"),
	@NamedQuery(name="getCustomerDetailsById", query = "SELECT c FROM Customer c WHERE c.id = :id")})
public class Customer extends InsuranceBaseObject implements Serializable {

	private String customerid;

	private String ownertype;

	@OneToMany(mappedBy="customer",cascade=CascadeType.ALL)
	private Set<Applicationinformation> applicationinformationCollection;

	@OneToMany(mappedBy="customer",cascade=CascadeType.ALL)
	private Set<Person> personCollection;

	@OneToMany(mappedBy="customer",cascade=CascadeType.ALL)
	private Set<Financialplanning> financialplanningCollection;

	private static final long serialVersionUID = 1L;

	public Customer() {
		super();
	}

	public String getCustomerid() {
		return this.customerid;
	}

	public void setCustomerid(String customerid) {
		this.customerid = customerid;
	}

	public String getOwnertype() {
		return this.ownertype;
	}

	public void setOwnertype(String ownertype) {
		this.ownertype = ownertype;
	}

	public Set<Applicationinformation> getApplicationinformationCollection() {
		return this.applicationinformationCollection;
	}

	public void setApplicationinformationCollection(Set<Applicationinformation> applicationinformationCollection) {
		this.applicationinformationCollection = applicationinformationCollection;
	}

	public Set<Person> getPersonCollection() {
		return this.personCollection;
	}

	public void setPersonCollection(Set<Person> personCollection) {
		this.personCollection = personCollection;
	}

	public Set<Financialplanning> getFinancialplanningCollection() {
		return this.financialplanningCollection;
	}

	public void setFinancialplanningCollection(Set<Financialplanning> financialplanningCollection) {
		this.financialplanningCollection = financialplanningCollection;
	}

}
