/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
/***********************************************
 * Licensed Materials - Property of IBM
 *
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.insurance.life.db.entities;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQuery;

@Entity
@NamedQuery(name="getFinancialplanningByCustomerId", query = "SELECT f FROM Financialplanning f WHERE f.customer.id = :customer_id")
public class Financialplanning extends InsuranceBaseObject implements Serializable {

	private String primaryretirementincome;

	private String supplementalincomeretirement;

	private String assetaccumulation;

	private String accumulationforwealthtransfer;

	private String deathbenefit;

	private String enhanceddeathbenefit;

	private String systematicwithdrawalbenifit;

	private String guaranteedaccumulationbenefit;

	private String guaranteedincomerider;

	private String timelestshanthreeyears;

	private String timethreetofiveyears;

	private String timefivetotenyears;

	private String timetenyears;

	private String lifetime;

	private String investmentexpnone;

	private String investmentexplimited;

	private String investmentexpexperienced;

	private String investmentexpextensive;

	private String investlessthan25;

	private String investlessthan75;

	private String investlessthanonelakh;

	private String investmorethanonelakh;

	private String qualifiedpuchase;

	private String qualifiednonpuchase;

	private String addregularbasis;

	private String addirregularbasis;

	private String fundinvestmentexpnone;

	private String investmentexpbonds;

	private String investmentexpfutures;

	private String investmentexpmutualfunds;

	private String investmentexpannunities;

	private String investmentexpcds;

	private String investmentexpequities;

	private String investmentexpoptions;

	private String investmentexpindexedannunities;

	private String investmentexpfixedannunities;

	private String investmentexpvarlifeins;

	private String sponsoredemployerprg;

	private String nonsponsoredemployerprg;

	private String maxqualifiedplan;

	private String minqualifiedplan;

	private String noqualifiedplan;

	private String insholdingsamtoflifeins;

	private String insholdingsplancashvalue;

	private String insholdingsfixedannuities;

	private String insholdingsindexannuities;

	private String insholdingsvarannuities;

	private String insholdingsimmediateannuities;

	private String risktolconservative;

	private String risktolmodconservative;

	private String risktolmoderate;

	private String risktolmodaggressive;

	private String risktolaggressive;

	private String sellinvestment;

	private String fluctuationlot;

	private String fluctuationsome;

	private String fluctuationlittle;

	private String fluctuationnone;

	private String investmentobjpoc;

	private String investmentobjincome;

	private String investmentobjmodgrowth;

	private String investmentobjgrowth;

	private String investmentobjagggrowth;

	private String incometaxbracketfifteen;

	private String incometaxbracketlessthanthirty;

	private String incometaxbracketmorethanthirty;

	private String incometaxbracketunsure;

	private String anninclessthanfifty;

	private String anninclessthanonefifty;

	private String anninclessthantwofifty;

	private String anninclmorethantwofifty;

	private String finacialneeds;

	private String finacialneedsunsure;

	private String householdlessthanfivehundred;

	private String householdlessthanonethousand;

	private String householdmorethanfivehuundred;

	private String employmentanticipated;

	private String employmentanticipatedunsure;

	@ManyToOne
	private Customer customer;

	private static final long serialVersionUID = 1L;

	public Financialplanning() {
		super();
	}

	public String getPrimaryretirementincome() {
		return this.primaryretirementincome;
	}

	public void setPrimaryretirementincome(String primaryretirementincome) {
		this.primaryretirementincome = primaryretirementincome;
	}

	public String getSupplementalincomeretirement() {
		return this.supplementalincomeretirement;
	}

	public void setSupplementalincomeretirement(String supplementalincomeretirement) {
		this.supplementalincomeretirement = supplementalincomeretirement;
	}

	public String getAssetaccumulation() {
		return this.assetaccumulation;
	}

	public void setAssetaccumulation(String assetaccumulation) {
		this.assetaccumulation = assetaccumulation;
	}

	public String getAccumulationforwealthtransfer() {
		return this.accumulationforwealthtransfer;
	}

	public void setAccumulationforwealthtransfer(String accumulationforwealthtransfer) {
		this.accumulationforwealthtransfer = accumulationforwealthtransfer;
	}

	public String getDeathbenefit() {
		return this.deathbenefit;
	}

	public void setDeathbenefit(String deathbenefit) {
		this.deathbenefit = deathbenefit;
	}

	public String getEnhanceddeathbenefit() {
		return this.enhanceddeathbenefit;
	}

	public void setEnhanceddeathbenefit(String enhanceddeathbenefit) {
		this.enhanceddeathbenefit = enhanceddeathbenefit;
	}

	public String getSystematicwithdrawalbenifit() {
		return this.systematicwithdrawalbenifit;
	}

	public void setSystematicwithdrawalbenifit(String systematicwithdrawalbenifit) {
		this.systematicwithdrawalbenifit = systematicwithdrawalbenifit;
	}

	public String getGuaranteedaccumulationbenefit() {
		return this.guaranteedaccumulationbenefit;
	}

	public void setGuaranteedaccumulationbenefit(String guaranteedaccumulationbenefit) {
		this.guaranteedaccumulationbenefit = guaranteedaccumulationbenefit;
	}

	public String getGuaranteedincomerider() {
		return this.guaranteedincomerider;
	}

	public void setGuaranteedincomerider(String guaranteedincomerider) {
		this.guaranteedincomerider = guaranteedincomerider;
	}

	public String getTimelestshanthreeyears() {
		return this.timelestshanthreeyears;
	}

	public void setTimelestshanthreeyears(String timelestshanthreeyears) {
		this.timelestshanthreeyears = timelestshanthreeyears;
	}

	public String getTimethreetofiveyears() {
		return this.timethreetofiveyears;
	}

	public void setTimethreetofiveyears(String timethreetofiveyears) {
		this.timethreetofiveyears = timethreetofiveyears;
	}

	public String getTimefivetotenyears() {
		return this.timefivetotenyears;
	}

	public void setTimefivetotenyears(String timefivetotenyears) {
		this.timefivetotenyears = timefivetotenyears;
	}

	public String getTimetenyears() {
		return this.timetenyears;
	}

	public void setTimetenyears(String timetenyears) {
		this.timetenyears = timetenyears;
	}

	public String getLifetime() {
		return this.lifetime;
	}

	public void setLifetime(String lifetime) {
		this.lifetime = lifetime;
	}

	public String getInvestmentexpnone() {
		return this.investmentexpnone;
	}

	public void setInvestmentexpnone(String investmentexpnone) {
		this.investmentexpnone = investmentexpnone;
	}

	public String getInvestmentexplimited() {
		return this.investmentexplimited;
	}

	public void setInvestmentexplimited(String investmentexplimited) {
		this.investmentexplimited = investmentexplimited;
	}

	public String getInvestmentexpexperienced() {
		return this.investmentexpexperienced;
	}

	public void setInvestmentexpexperienced(String investmentexpexperienced) {
		this.investmentexpexperienced = investmentexpexperienced;
	}

	public String getInvestmentexpextensive() {
		return this.investmentexpextensive;
	}

	public void setInvestmentexpextensive(String investmentexpextensive) {
		this.investmentexpextensive = investmentexpextensive;
	}

	public String getInvestlessthan25() {
		return this.investlessthan25;
	}

	public void setInvestlessthan25(String investlessthan25) {
		this.investlessthan25 = investlessthan25;
	}

	public String getInvestlessthan75() {
		return this.investlessthan75;
	}

	public void setInvestlessthan75(String investlessthan75) {
		this.investlessthan75 = investlessthan75;
	}

	public String getInvestlessthanonelakh() {
		return this.investlessthanonelakh;
	}

	public void setInvestlessthanonelakh(String investlessthanonelakh) {
		this.investlessthanonelakh = investlessthanonelakh;
	}

	public String getInvestmorethanonelakh() {
		return this.investmorethanonelakh;
	}

	public void setInvestmorethanonelakh(String investmorethanonelakh) {
		this.investmorethanonelakh = investmorethanonelakh;
	}

	public String getQualifiedpuchase() {
		return this.qualifiedpuchase;
	}

	public void setQualifiedpuchase(String qualifiedpuchase) {
		this.qualifiedpuchase = qualifiedpuchase;
	}

	public String getQualifiednonpuchase() {
		return this.qualifiednonpuchase;
	}

	public void setQualifiednonpuchase(String qualifiednonpuchase) {
		this.qualifiednonpuchase = qualifiednonpuchase;
	}

	public String getAddregularbasis() {
		return this.addregularbasis;
	}

	public void setAddregularbasis(String addregularbasis) {
		this.addregularbasis = addregularbasis;
	}

	public String getAddirregularbasis() {
		return this.addirregularbasis;
	}

	public void setAddirregularbasis(String addirregularbasis) {
		this.addirregularbasis = addirregularbasis;
	}

	public String getFundinvestmentexpnone() {
		return this.fundinvestmentexpnone;
	}

	public void setFundinvestmentexpnone(String fundinvestmentexpnone) {
		this.fundinvestmentexpnone = fundinvestmentexpnone;
	}

	public String getInvestmentexpbonds() {
		return this.investmentexpbonds;
	}

	public void setInvestmentexpbonds(String investmentexpbonds) {
		this.investmentexpbonds = investmentexpbonds;
	}

	public String getInvestmentexpfutures() {
		return this.investmentexpfutures;
	}

	public void setInvestmentexpfutures(String investmentexpfutures) {
		this.investmentexpfutures = investmentexpfutures;
	}

	public String getInvestmentexpmutualfunds() {
		return this.investmentexpmutualfunds;
	}

	public void setInvestmentexpmutualfunds(String investmentexpmutualfunds) {
		this.investmentexpmutualfunds = investmentexpmutualfunds;
	}

	public String getInvestmentexpannunities() {
		return this.investmentexpannunities;
	}

	public void setInvestmentexpannunities(String investmentexpannunities) {
		this.investmentexpannunities = investmentexpannunities;
	}

	public String getInvestmentexpcds() {
		return this.investmentexpcds;
	}

	public void setInvestmentexpcds(String investmentexpcds) {
		this.investmentexpcds = investmentexpcds;
	}

	public String getInvestmentexpequities() {
		return this.investmentexpequities;
	}

	public void setInvestmentexpequities(String investmentexpequities) {
		this.investmentexpequities = investmentexpequities;
	}

	public String getInvestmentexpoptions() {
		return this.investmentexpoptions;
	}

	public void setInvestmentexpoptions(String investmentexpoptions) {
		this.investmentexpoptions = investmentexpoptions;
	}

	public String getInvestmentexpindexedannunities() {
		return this.investmentexpindexedannunities;
	}

	public void setInvestmentexpindexedannunities(String investmentexpindexedannunities) {
		this.investmentexpindexedannunities = investmentexpindexedannunities;
	}

	public String getInvestmentexpfixedannunities() {
		return this.investmentexpfixedannunities;
	}

	public void setInvestmentexpfixedannunities(String investmentexpfixedannunities) {
		this.investmentexpfixedannunities = investmentexpfixedannunities;
	}

	public String getInvestmentexpvarlifeins() {
		return this.investmentexpvarlifeins;
	}

	public void setInvestmentexpvarlifeins(String investmentexpvarlifeins) {
		this.investmentexpvarlifeins = investmentexpvarlifeins;
	}

	public String getSponsoredemployerprg() {
		return this.sponsoredemployerprg;
	}

	public void setSponsoredemployerprg(String sponsoredemployerprg) {
		this.sponsoredemployerprg = sponsoredemployerprg;
	}

	public String getNonsponsoredemployerprg() {
		return this.nonsponsoredemployerprg;
	}

	public void setNonsponsoredemployerprg(String nonsponsoredemployerprg) {
		this.nonsponsoredemployerprg = nonsponsoredemployerprg;
	}

	public String getMaxqualifiedplan() {
		return this.maxqualifiedplan;
	}

	public void setMaxqualifiedplan(String maxqualifiedplan) {
		this.maxqualifiedplan = maxqualifiedplan;
	}

	public String getMinqualifiedplan() {
		return this.minqualifiedplan;
	}

	public void setMinqualifiedplan(String minqualifiedplan) {
		this.minqualifiedplan = minqualifiedplan;
	}

	public String getNoqualifiedplan() {
		return this.noqualifiedplan;
	}

	public void setNoqualifiedplan(String noqualifiedplan) {
		this.noqualifiedplan = noqualifiedplan;
	}

	public String getInsholdingsamtoflifeins() {
		return this.insholdingsamtoflifeins;
	}

	public void setInsholdingsamtoflifeins(String insholdingsamtoflifeins) {
		this.insholdingsamtoflifeins = insholdingsamtoflifeins;
	}

	public String getInsholdingsplancashvalue() {
		return this.insholdingsplancashvalue;
	}

	public void setInsholdingsplancashvalue(String insholdingsplancashvalue) {
		this.insholdingsplancashvalue = insholdingsplancashvalue;
	}

	public String getInsholdingsfixedannuities() {
		return this.insholdingsfixedannuities;
	}

	public void setInsholdingsfixedannuities(String insholdingsfixedannuities) {
		this.insholdingsfixedannuities = insholdingsfixedannuities;
	}

	public String getInsholdingsindexannuities() {
		return this.insholdingsindexannuities;
	}

	public void setInsholdingsindexannuities(String insholdingsindexannuities) {
		this.insholdingsindexannuities = insholdingsindexannuities;
	}

	public String getInsholdingsvarannuities() {
		return this.insholdingsvarannuities;
	}

	public void setInsholdingsvarannuities(String insholdingsvarannuities) {
		this.insholdingsvarannuities = insholdingsvarannuities;
	}

	public String getInsholdingsimmediateannuities() {
		return this.insholdingsimmediateannuities;
	}

	public void setInsholdingsimmediateannuities(String insholdingsimmediateannuities) {
		this.insholdingsimmediateannuities = insholdingsimmediateannuities;
	}

	public String getRisktolconservative() {
		return this.risktolconservative;
	}

	public void setRisktolconservative(String risktolconservative) {
		this.risktolconservative = risktolconservative;
	}

	public String getRisktolmodconservative() {
		return this.risktolmodconservative;
	}

	public void setRisktolmodconservative(String risktolmodconservative) {
		this.risktolmodconservative = risktolmodconservative;
	}

	public String getRisktolmoderate() {
		return this.risktolmoderate;
	}

	public void setRisktolmoderate(String risktolmoderate) {
		this.risktolmoderate = risktolmoderate;
	}

	public String getRisktolmodaggressive() {
		return this.risktolmodaggressive;
	}

	public void setRisktolmodaggressive(String risktolmodaggressive) {
		this.risktolmodaggressive = risktolmodaggressive;
	}

	public String getRisktolaggressive() {
		return this.risktolaggressive;
	}

	public void setRisktolaggressive(String risktolaggressive) {
		this.risktolaggressive = risktolaggressive;
	}

	public String getSellinvestment() {
		return this.sellinvestment;
	}

	public void setSellinvestment(String sellinvestment) {
		this.sellinvestment = sellinvestment;
	}

	public String getFluctuationlot() {
		return this.fluctuationlot;
	}

	public void setFluctuationlot(String fluctuationlot) {
		this.fluctuationlot = fluctuationlot;
	}

	public String getFluctuationsome() {
		return this.fluctuationsome;
	}

	public void setFluctuationsome(String fluctuationsome) {
		this.fluctuationsome = fluctuationsome;
	}

	public String getFluctuationlittle() {
		return this.fluctuationlittle;
	}

	public void setFluctuationlittle(String fluctuationlittle) {
		this.fluctuationlittle = fluctuationlittle;
	}

	public String getFluctuationnone() {
		return this.fluctuationnone;
	}

	public void setFluctuationnone(String fluctuationnone) {
		this.fluctuationnone = fluctuationnone;
	}

	public String getInvestmentobjpoc() {
		return this.investmentobjpoc;
	}

	public void setInvestmentobjpoc(String investmentobjpoc) {
		this.investmentobjpoc = investmentobjpoc;
	}

	public String getInvestmentobjincome() {
		return this.investmentobjincome;
	}

	public void setInvestmentobjincome(String investmentobjincome) {
		this.investmentobjincome = investmentobjincome;
	}

	public String getInvestmentobjmodgrowth() {
		return this.investmentobjmodgrowth;
	}

	public void setInvestmentobjmodgrowth(String investmentobjmodgrowth) {
		this.investmentobjmodgrowth = investmentobjmodgrowth;
	}

	public String getInvestmentobjgrowth() {
		return this.investmentobjgrowth;
	}

	public void setInvestmentobjgrowth(String investmentobjgrowth) {
		this.investmentobjgrowth = investmentobjgrowth;
	}

	public String getInvestmentobjagggrowth() {
		return this.investmentobjagggrowth;
	}

	public void setInvestmentobjagggrowth(String investmentobjagggrowth) {
		this.investmentobjagggrowth = investmentobjagggrowth;
	}

	public String getIncometaxbracketfifteen() {
		return this.incometaxbracketfifteen;
	}

	public void setIncometaxbracketfifteen(String incometaxbracketfifteen) {
		this.incometaxbracketfifteen = incometaxbracketfifteen;
	}

	public String getIncometaxbracketlessthanthirty() {
		return this.incometaxbracketlessthanthirty;
	}

	public void setIncometaxbracketlessthanthirty(String incometaxbracketlessthanthirty) {
		this.incometaxbracketlessthanthirty = incometaxbracketlessthanthirty;
	}

	public String getIncometaxbracketmorethanthirty() {
		return this.incometaxbracketmorethanthirty;
	}

	public void setIncometaxbracketmorethanthirty(String incometaxbracketmorethanthirty) {
		this.incometaxbracketmorethanthirty = incometaxbracketmorethanthirty;
	}

	public String getIncometaxbracketunsure() {
		return this.incometaxbracketunsure;
	}

	public void setIncometaxbracketunsure(String incometaxbracketunsure) {
		this.incometaxbracketunsure = incometaxbracketunsure;
	}

	public String getAnninclessthanfifty() {
		return this.anninclessthanfifty;
	}

	public void setAnninclessthanfifty(String anninclessthanfifty) {
		this.anninclessthanfifty = anninclessthanfifty;
	}

	public String getAnninclessthanonefifty() {
		return this.anninclessthanonefifty;
	}

	public void setAnninclessthanonefifty(String anninclessthanonefifty) {
		this.anninclessthanonefifty = anninclessthanonefifty;
	}

	public String getAnninclessthantwofifty() {
		return this.anninclessthantwofifty;
	}

	public void setAnninclessthantwofifty(String anninclessthantwofifty) {
		this.anninclessthantwofifty = anninclessthantwofifty;
	}

	public String getAnninclmorethantwofifty() {
		return this.anninclmorethantwofifty;
	}

	public void setAnninclmorethantwofifty(String anninclmorethantwofifty) {
		this.anninclmorethantwofifty = anninclmorethantwofifty;
	}

	public String getFinacialneeds() {
		return this.finacialneeds;
	}

	public void setFinacialneeds(String finacialneeds) {
		this.finacialneeds = finacialneeds;
	}

	public String getFinacialneedsunsure() {
		return this.finacialneedsunsure;
	}

	public void setFinacialneedsunsure(String finacialneedsunsure) {
		this.finacialneedsunsure = finacialneedsunsure;
	}

	public String getHouseholdlessthanfivehundred() {
		return this.householdlessthanfivehundred;
	}

	public void setHouseholdlessthanfivehundred(String householdlessthanfivehundred) {
		this.householdlessthanfivehundred = householdlessthanfivehundred;
	}

	public String getHouseholdlessthanonethousand() {
		return this.householdlessthanonethousand;
	}

	public void setHouseholdlessthanonethousand(String householdlessthanonethousand) {
		this.householdlessthanonethousand = householdlessthanonethousand;
	}

	public String getHouseholdmorethanfivehuundred() {
		return this.householdmorethanfivehuundred;
	}

	public void setHouseholdmorethanfivehuundred(String householdmorethanfivehuundred) {
		this.householdmorethanfivehuundred = householdmorethanfivehuundred;
	}

	public String getEmploymentanticipated() {
		return this.employmentanticipated;
	}

	public void setEmploymentanticipated(String employmentanticipated) {
		this.employmentanticipated = employmentanticipated;
	}

	public String getEmploymentanticipatedunsure() {
		return this.employmentanticipatedunsure;
	}

	public void setEmploymentanticipatedunsure(String employmentanticipatedunsure) {
		this.employmentanticipatedunsure = employmentanticipatedunsure;
	}

	public Customer getCustomer() {
		return this.customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

}
