/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
/***********************************************
 * Licensed Materials - Property of IBM
 *
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.insurance.life.db.entities;

import java.io.Serializable;
import java.sql.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQuery;

@Entity
@NamedQuery(name="getCustomers", query = "SELECT p FROM Person p WHERE p.customer.id IS NOT NULL")
public class Person extends InsuranceBaseObject implements Serializable {

	private String firstname;

	private String lastname;

	private Date dob;

	private String gender;

	private String suffix;

	private String email;

	private String ssn;

	private String citizenship;

	private String maritalstatus;

	private String sex;

	private String soldlocation;

	private String hometelephone;

	private String mobile;

	private String unit;

	private int age;

	private String selectedcustomer;

	@Column(name="BENIFICIARYAPPLICATIONINFORMATION_ID")
	private int benificiaryapplicationinformationId;

	@ManyToOne(cascade=CascadeType.ALL)
	private Address otheraddress;

	@ManyToOne(cascade=CascadeType.ALL)
	private Address address;

	@ManyToOne
	@JoinColumn(name="APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID")
	private Applicationinformation applicationinformationapplicationinformation;

	@ManyToOne
	private Applicationinformation applicationinformation;

	@ManyToOne(cascade=CascadeType.ALL)
	private Benificiary benificiary;

	@ManyToOne(cascade=CascadeType.ALL)
	private Customer customer;

	private static final long serialVersionUID = 1L;

	public Person() {
		super();
	}

	public String getFirstname() {
		return this.firstname;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public String getLastname() {
		return this.lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public Date getDob() {
		return this.dob;
	}

	public void setDob(Date dob) {
		this.dob = dob;
	}

	public String getGender() {
		return this.gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getSuffix() {
		return this.suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getSsn() {
		return this.ssn;
	}

	public void setSsn(String ssn) {
		this.ssn = ssn;
	}

	public String getCitizenship() {
		return this.citizenship;
	}

	public void setCitizenship(String citizenship) {
		this.citizenship = citizenship;
	}

	public String getMaritalstatus() {
		return this.maritalstatus;
	}

	public void setMaritalstatus(String maritalstatus) {
		this.maritalstatus = maritalstatus;
	}

	public String getSex() {
		return this.sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getSoldlocation() {
		return this.soldlocation;
	}

	public void setSoldlocation(String soldlocation) {
		this.soldlocation = soldlocation;
	}

	public String getHometelephone() {
		return this.hometelephone;
	}

	public void setHometelephone(String hometelephone) {
		this.hometelephone = hometelephone;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getUnit() {
		return this.unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public int getAge() {
		return this.age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public String getSelectedcustomer() {
		return this.selectedcustomer;
	}

	public void setSelectedcustomer(String selectedcustomer) {
		this.selectedcustomer = selectedcustomer;
	}

	public int getBenificiaryapplicationinformationId() {
		return this.benificiaryapplicationinformationId;
	}

	public void setBenificiaryapplicationinformationId(int benificiaryapplicationinformationId) {
		this.benificiaryapplicationinformationId = benificiaryapplicationinformationId;
	}

	public Address getOtheraddress() {
		return this.otheraddress;
	}

	public void setOtheraddress(Address otheraddress) {
		this.otheraddress = otheraddress;
	}

	public Address getAddress() {
		return this.address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public Applicationinformation getApplicationinformationapplicationinformation() {
		return this.applicationinformationapplicationinformation;
	}

	public void setApplicationinformationapplicationinformation(Applicationinformation applicationinformationapplicationinformation) {
		this.applicationinformationapplicationinformation = applicationinformationapplicationinformation;
	}

	public Applicationinformation getApplicationinformation() {
		return this.applicationinformation;
	}

	public void setApplicationinformation(Applicationinformation applicationinformation) {
		this.applicationinformation = applicationinformation;
	}

	public Benificiary getBenificiary() {
		return this.benificiary;
	}

	public void setBenificiary(Benificiary benificiary) {
		this.benificiary = benificiary;
	}

	public Customer getCustomer() {
		return this.customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	@Override
	public String toString() {
		StringBuffer buffer = new StringBuffer("Person");
		buffer.append("[firstname:");
		buffer.append(firstname);
		buffer.append(",lastname:");
		buffer.append(lastname);
		buffer.append(",dob:");
		buffer.append(",gender:");
		buffer.append(gender);
		buffer.append(suffix);
		buffer.append(email);
		buffer.append(",suffix:");
		buffer.append(",email:");
		buffer.append(",ssn:");
		buffer.append(ssn);
		buffer.append(citizenship);
		buffer.append(maritalstatus);
		buffer.append(",citizenship:");
		buffer.append(",maritalstatus:");
		buffer.append(",sex:");
		buffer.append(sex);
		buffer.append(soldlocation);
		buffer.append(hometelephone);
		buffer.append(",soldlocation:");
		buffer.append(",hometelephone:");
		buffer.append(",mobile:");
		buffer.append(mobile);
		buffer.append(",unit:");
		buffer.append(unit);
		buffer.append(",age:");
		buffer.append(age);
		buffer.append(",selectedcustomer:");
		buffer.append(selectedcustomer);
		buffer.append("]");
		
		return buffer.toString();
	}
}
