CONNECT 'WICPDB;create=true;territory=EN_US' as WICPDB;

CREATE TABLE INSURANCE_VANB.ESIGNCONSENT (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		ESIGN VARCHAR(256) ,
		ACCEPT VARCHAR(256) ,
		DECLINE VARCHAR(256) ,
		APPLICATIONINFORMATION_ID INTEGER  NOT NULL
	);

CREATE TABLE INSURANCE_VANB.BENIFICIARY (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		RELATIONSHIP VARCHAR(256) ,
		ALLOCATION VARCHAR(256) ,
		RESTRICTED VARCHAR(256) ,
		IRREVOCABLE VARCHAR(256) ,
		CONTINGENTBENEFICIARY VARCHAR(256) ,
		APPLICATIONINFORMATION_ID INTEGER  NOT NULL
	);

CREATE TABLE INSURANCE_VANB.PERSON (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		FIRSTNAME VARCHAR(256) ,
		LASTNAME VARCHAR(256) ,
		DOB DATE ,
		GENDER VARCHAR(256) ,
		SUFFIX VARCHAR(256) ,
		EMAIL VARCHAR(256) ,
		SSN VARCHAR(256) ,
		CITIZENSHIP VARCHAR(256) ,
		MARITALSTATUS VARCHAR(256) ,
		SEX VARCHAR(256) ,
		SOLDLOCATION VARCHAR(256) ,
		HOMETELEPHONE VARCHAR(256) ,
		MOBILE VARCHAR(256) ,
		UNIT VARCHAR(256) ,
		AGE INTEGER ,
		SELECTEDCUSTOMER CHAR(1) ,
		APPLICATIONINFORMATION_ID INTEGER ,
		APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID INTEGER ,
		BENIFICIARYAPPLICATIONINFORMATION_ID INTEGER ,
		BENIFICIARY_ID INTEGER ,
		CUSTOMER_ID INTEGER ,
		ADDRESS_ID INTEGER ,
		OTHERADDRESS_ID INTEGER 
	);

CREATE TABLE INSURANCE_VANB.ADDRESS (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		ADDRESS1 VARCHAR(256) ,
		ADDRESS2 VARCHAR(256) ,
		CITY VARCHAR(256) ,
		STATE VARCHAR(256) ,
		ZIP VARCHAR(256) ,
		COUNTRY VARCHAR(50) 
	);

CREATE TABLE INSURANCE_VANB.SUITABILITYDETERMINATION (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		ACCEPT VARCHAR(256) ,
		DECLINE VARCHAR(256) ,
		SUITABLEPRODUCTREGISTERATION VARCHAR(256) ,
		QUALIFIEDPRODUCTREGISTERATION VARCHAR(256) ,
		APPLICATIONINFORMATION_ID INTEGER  NOT NULL
	);

CREATE TABLE INSURANCE_VANB.APPLICATIONINFORMATION (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		CONTRACTTYPE VARCHAR(256) ,
		PLANTYPE VARCHAR(256) ,
		SOURCEOFFUNDS VARCHAR(256) ,
		DEATHBENEFITELECTION VARCHAR(256) ,
		INCOMEBENEFITELECTION VARCHAR(256) ,
		ACCUMULATIONBENEFITELECTION VARCHAR(256) ,
		WITHDRAWALBENEFITELECTION VARCHAR(256) ,
		CONTINGENTANNUITANTS VARCHAR(256) ,
		CUSTOMER_ID INTEGER ,
		PRODUCT_ID INTEGER ,
		VALUEOFSOURCEOFFUNDS VARCHAR(20) ,
		ISANNUITANTTHEOWNER VARCHAR(10) 
	);

CREATE TABLE INSURANCE_VANB.CUSTOMER (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		CUSTOMERID VARCHAR(256) ,
		OWNERTYPE VARCHAR(256) 
	);

CREATE TABLE INSURANCE_VANB.PERCENTAGEDETAILS (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		DETAIL VARCHAR(256) ,
		PERCENTAGE VARCHAR(256) ,
		APPLICATIONINFORMATION_ID INTEGER ,
		DCAAPPLICATIONINFORMATION_ID INTEGER  NOT NULL,
		DCA_ID INTEGER 
	);

CREATE TABLE INSURANCE_VANB.PRODUCT (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		SELECTEDPRODUCT VARCHAR(256) ,
		PRODUCTNAME VARCHAR(256) ,
		PRODUCTDESC VARCHAR(256) 
	);

CREATE TABLE INSURANCE_VANB.FINANCIALPLANNING (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		PRIMARYRETIREMENTINCOME VARCHAR(2000) ,
		SUPPLEMENTALINCOMERETIREMENT VARCHAR(2000) ,
		ASSETACCUMULATION VARCHAR(2000) ,
		ACCUMULATIONFORWEALTHTRANSFER VARCHAR(2000) ,
		DEATHBENEFIT VARCHAR(2000) ,
		ENHANCEDDEATHBENEFIT VARCHAR(2000) ,
		SYSTEMATICWITHDRAWALBENIFIT VARCHAR(2000) ,
		GUARANTEEDACCUMULATIONBENEFIT VARCHAR(2000) ,
		GUARANTEEDINCOMERIDER VARCHAR(2000) ,
		TIMELESTSHANTHREEYEARS VARCHAR(2000) ,
		TIMETHREETOFIVEYEARS VARCHAR(2000) ,
		TIMEFIVETOTENYEARS VARCHAR(2000) ,
		TIMETENYEARS VARCHAR(2000) ,
		LIFETIME VARCHAR(2000) ,
		INVESTMENTEXPNONE VARCHAR(2000) ,
		INVESTMENTEXPLIMITED VARCHAR(2000) ,
		INVESTMENTEXPEXPERIENCED VARCHAR(2000) ,
		INVESTMENTEXPEXTENSIVE VARCHAR(2000) ,
		INVESTLESSTHAN25 VARCHAR(2000) ,
		INVESTLESSTHAN75 VARCHAR(2000) ,
		INVESTLESSTHANONELAKH VARCHAR(2000) ,
		INVESTMORETHANONELAKH VARCHAR(2000) ,
		QUALIFIEDPUCHASE VARCHAR(2000) ,
		QUALIFIEDNONPUCHASE VARCHAR(2000) ,
		ADDREGULARBASIS VARCHAR(2000) ,
		ADDIRREGULARBASIS VARCHAR(2000) ,
		FUNDINVESTMENTEXPNONE VARCHAR(2000) ,
		INVESTMENTEXPBONDS VARCHAR(2000) ,
		INVESTMENTEXPFUTURES VARCHAR(2000) ,
		INVESTMENTEXPMUTUALFUNDS VARCHAR(2000) ,
		INVESTMENTEXPANNUNITIES VARCHAR(2000) ,
		INVESTMENTEXPCDS VARCHAR(2000) ,
		INVESTMENTEXPEQUITIES VARCHAR(2000) ,
		INVESTMENTEXPOPTIONS VARCHAR(2000) ,
		INVESTMENTEXPINDEXEDANNUNITIES VARCHAR(2000) ,
		INVESTMENTEXPFIXEDANNUNITIES VARCHAR(2000) ,
		INVESTMENTEXPVARLIFEINS VARCHAR(2000) ,
		SPONSOREDEMPLOYERPRG VARCHAR(2000) ,
		NONSPONSOREDEMPLOYERPRG VARCHAR(2000) ,
		MAXQUALIFIEDPLAN VARCHAR(2000) ,
		MINQUALIFIEDPLAN VARCHAR(2000) ,
		NOQUALIFIEDPLAN VARCHAR(2000) ,
		INSHOLDINGSAMTOFLIFEINS VARCHAR(2000) ,
		INSHOLDINGSPLANCASHVALUE VARCHAR(2000) ,
		INSHOLDINGSFIXEDANNUITIES VARCHAR(2000) ,
		INSHOLDINGSINDEXANNUITIES VARCHAR(2000) ,
		INSHOLDINGSVARANNUITIES VARCHAR(2000) ,
		INSHOLDINGSIMMEDIATEANNUITIES VARCHAR(2000) ,
		RISKTOLCONSERVATIVE VARCHAR(2000) ,
		RISKTOLMODCONSERVATIVE VARCHAR(2000) ,
		RISKTOLMODERATE VARCHAR(2000) ,
		RISKTOLMODAGGRESSIVE VARCHAR(2000) ,
		RISKTOLAGGRESSIVE VARCHAR(2000) ,
		SELLINVESTMENT VARCHAR(2000) ,
		FLUCTUATIONLOT VARCHAR(2000) ,
		FLUCTUATIONSOME VARCHAR(2000) ,
		FLUCTUATIONLITTLE VARCHAR(2000) ,
		FLUCTUATIONNONE VARCHAR(2000) ,
		INVESTMENTOBJPOC VARCHAR(2000) ,
		INVESTMENTOBJINCOME VARCHAR(2000) ,
		INVESTMENTOBJMODGROWTH VARCHAR(2000) ,
		INVESTMENTOBJGROWTH VARCHAR(2000) ,
		INVESTMENTOBJAGGGROWTH VARCHAR(2000) ,
		INCOMETAXBRACKETFIFTEEN VARCHAR(2000) ,
		INCOMETAXBRACKETLESSTHANTHIRTY VARCHAR(2000) ,
		INCOMETAXBRACKETMORETHANTHIRTY VARCHAR(2000) ,
		INCOMETAXBRACKETUNSURE VARCHAR(2000) ,
		ANNINCLESSTHANFIFTY VARCHAR(2000) ,
		ANNINCLESSTHANONEFIFTY VARCHAR(2000) ,
		ANNINCLESSTHANTWOFIFTY VARCHAR(2000) ,
		ANNINCLMORETHANTWOFIFTY VARCHAR(2000) ,
		FINACIALNEEDS VARCHAR(2000) ,
		FINACIALNEEDSUNSURE VARCHAR(2000) ,
		HOUSEHOLDLESSTHANFIVEHUNDRED VARCHAR(2000) ,
		HOUSEHOLDLESSTHANONETHOUSAND VARCHAR(2000) ,
		HOUSEHOLDMORETHANFIVEHUUNDRED VARCHAR(2000) ,
		EMPLOYMENTANTICIPATED VARCHAR(2000) ,
		EMPLOYMENTANTICIPATEDUNSURE VARCHAR(2000) ,
		CUSTOMER_ID INTEGER  NOT NULL
	);

CREATE TABLE INSURANCE_VANB.ILLUSTRATION (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		ILLUSTRATIONTEXT VARCHAR(256) ,
		ACCEPT VARCHAR(256) ,
		DECLINE VARCHAR(256) ,
		APPLICATIONINFORMATION_ID INTEGER  NOT NULL
	);

CREATE TABLE INSURANCE_VANB.DCA (
		ID INTEGER  NOT NULL GENERATED ALWAYS AS IDENTITY  (START WITH 1 ,INCREMENT BY 1),
		DOLLARCOSTAVG VARCHAR(256) ,
		ASSETALLOCATION VARCHAR(256) ,
		INTERESTSWEEP VARCHAR(256) ,
		TRANSFERDOLLARCOST VARCHAR(256) ,
		TRANSFERDOLLARCOSTVALUE VARCHAR(256) ,
		TRANSFERDOLLARCOSTACCOUNT VARCHAR(256) ,
		TRANSFERINTERESTEARNINGS VARCHAR(256) ,
		DCAPERIOD VARCHAR(256) ,
		DCASTARTDATE DATE ,
		DCAENDDATE DATE ,
		APPLICATIONINFORMATION_ID INTEGER  NOT NULL
	);

ALTER TABLE INSURANCE_VANB.PRODUCT ADD CONSTRAINT PRODUCT_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.APPLICATIONINFORMATION ADD CONSTRAINT APPLICATIONINFORMATION_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.SUITABILITYDETERMINATION ADD CONSTRAINT SUITABILITYDETERMINATION_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.ILLUSTRATION ADD CONSTRAINT ILLUSTRATION_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.ADDRESS ADD CONSTRAINT ADDRESS_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.FINANCIALPLANNING ADD CONSTRAINT FINANCIALPLANNING_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.BENIFICIARY ADD CONSTRAINT BENIFICIARY_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.ESIGNCONSENT ADD CONSTRAINT ESIGNCONSENT_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.CUSTOMER ADD CONSTRAINT CUSTOMER_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.DCA ADD CONSTRAINT DCA_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.PERCENTAGEDETAILS ADD CONSTRAINT PERCENTAGEDETAILS_PK PRIMARY KEY (ID);

ALTER TABLE INSURANCE_VANB.DCA ADD CONSTRAINT DCA_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_BENIFICIARY_FK FOREIGN KEY (BENIFICIARY_ID)
	REFERENCES INSURANCE_VANB.BENIFICIARY (ID);

ALTER TABLE INSURANCE_VANB.PERCENTAGEDETAILS ADD CONSTRAINT PERCENTAGEDETAILS_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.APPLICATIONINFORMATION ADD CONSTRAINT APPLICATIONINFORMATION_PRODUCT_FK FOREIGN KEY (PRODUCT_ID)
	REFERENCES INSURANCE_VANB.PRODUCT (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES INSURANCE_VANB.CUSTOMER (ID);

ALTER TABLE INSURANCE_VANB.PERCENTAGEDETAILS ADD CONSTRAINT PERCENTAGEDETAILS_DCA_FK FOREIGN KEY (DCA_ID)
	REFERENCES INSURANCE_VANB.DCA (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_ADDRESS_FK FOREIGN KEY (ADDRESS_ID)
	REFERENCES INSURANCE_VANB.ADDRESS (ID);

ALTER TABLE INSURANCE_VANB.APPLICATIONINFORMATION ADD CONSTRAINT APPLICATIONINFORMATION_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES INSURANCE_VANB.CUSTOMER (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_ADDRESS_FK1 FOREIGN KEY (OTHERADDRESS_ID)
	REFERENCES INSURANCE_VANB.ADDRESS (ID);

ALTER TABLE INSURANCE_VANB.SUITABILITYDETERMINATION ADD CONSTRAINT SUITABILITYDETERMINATION_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.ILLUSTRATION ADD CONSTRAINT ILLUSTRATION_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.FINANCIALPLANNING ADD CONSTRAINT FINANCIALPLANNING_CUSTOMER_FK FOREIGN KEY (CUSTOMER_ID)
	REFERENCES INSURANCE_VANB.CUSTOMER (ID);

ALTER TABLE INSURANCE_VANB.BENIFICIARY ADD CONSTRAINT BENIFICIARY_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.ESIGNCONSENT ADD CONSTRAINT ESIGNCONSENT_APPLICATIONINFORMATION_FK FOREIGN KEY (APPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);

ALTER TABLE INSURANCE_VANB.PERSON ADD CONSTRAINT PERSON_APPLICATIONINFORMATION_FK1 FOREIGN KEY (APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID)
	REFERENCES INSURANCE_VANB.APPLICATIONINFORMATION (ID);


INSERT INTO INSURANCE_VANB.PRODUCT(PRODUCTNAME, PRODUCTDESC) VALUES('Invest Plus','1.45% fees and charges; 8% 5 year historical return');
INSERT INTO INSURANCE_VANB.PRODUCT(PRODUCTNAME, PRODUCTDESC) VALUES('Retire Income I','1.40% fees and charges; 7% 5 year historical return; Living Needs Benefit Rider; Enhanced Beneficiary Rider');
INSERT INTO INSURANCE_VANB.PRODUCT(PRODUCTNAME, PRODUCTDESC) VALUES('Retire Income II','1.45% fees and charges; 7.25% 5 year historical return; Living Needs Benefit Rider; Enhanced Beneficiary Rider');
INSERT INTO INSURANCE_VANB.PRODUCT(PRODUCTNAME, PRODUCTDESC) VALUES('Choice Elite Death Benefit','1.50% fees and charges; N/A 5 year historical return; Enhanced Spousal Continuance Rider');
INSERT INTO INSURANCE_VANB.PRODUCT(PRODUCTNAME, PRODUCTDESC) VALUES('Value Select','1.25% fees and charges; N/A 5 year historical return');

INSERT INTO INSURANCE_VANB.CUSTOMER (CUSTOMERID,OWNERTYPE) values('NA', 'Individual');
INSERT INTO INSURANCE_VANB.CUSTOMER (CUSTOMERID,OWNERTYPE) values('NA', 'Individual');
INSERT INTO INSURANCE_VANB.CUSTOMER (CUSTOMERID,OWNERTYPE) values('NA', 'Individual');
INSERT INTO INSURANCE_VANB.CUSTOMER (CUSTOMERID,OWNERTYPE) values('NA', 'Individual');
INSERT INTO INSURANCE_VANB.CUSTOMER (CUSTOMERID,OWNERTYPE) values('NA', 'Individual');

INSERT INTO INSURANCE_VANB.ADDRESS (ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY) values('Address1', 'Address2', 'Austin', 'TX', '11111', 'US');
INSERT INTO INSURANCE_VANB.ADDRESS (ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY) values('Address12', 'Address22', 'Edison', 'NJ', '22222', 'US');
INSERT INTO INSURANCE_VANB.ADDRESS (ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY) values('Address13', 'Address23', 'NewYork', 'NY', '33333', 'US');
INSERT INTO INSURANCE_VANB.ADDRESS (ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY) values('Address14', 'Address24', 'Austin', 'TX', '44444', 'US');
INSERT INTO INSURANCE_VANB.ADDRESS (ADDRESS1,ADDRESS2,CITY,STATE,ZIP,COUNTRY) values('Address15', 'Address25', 'Atlanta', 'NJ', '55555', 'US');

INSERT INTO INSURANCE_VANB.PERSON (FIRSTNAME,LASTNAME,DOB,GENDER,SUFFIX,EMAIL,SSN,CITIZENSHIP,MARITALSTATUS,SOLDLOCATION,HOMETELEPHONE,MOBILE,UNIT,AGE,SELECTEDCUSTOMER,APPLICATIONINFORMATION_ID,APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID,BENIFICIARYAPPLICATIONINFORMATION_ID,BENIFICIARY_ID,CUSTOMER_ID,ADDRESS_ID,OTHERADDRESS_ID) values('Craig', 'Adams', '1979-10-10', 'M', 'Sir', 'gsm@ibm.com', '111111111', 'US', 'Married', 'TX', '1111111111', '1111111112', '1', 31, NULL, NULL, NULL, NULL, NULL, 1, 1, NULL);
INSERT INTO INSURANCE_VANB.PERSON (FIRSTNAME,LASTNAME,DOB,GENDER,SUFFIX,EMAIL,SSN,CITIZENSHIP,MARITALSTATUS,SOLDLOCATION,HOMETELEPHONE,MOBILE,UNIT,AGE,SELECTEDCUSTOMER,APPLICATIONINFORMATION_ID,APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID,BENIFICIARYAPPLICATIONINFORMATION_ID,BENIFICIARY_ID,CUSTOMER_ID,ADDRESS_ID,OTHERADDRESS_ID) values('Adam', 'Smith', '1978-10-10', 'M', NULL, 'gsm2@ibm.com', '222222222', 'US', 'Single', 'NY', '2222222221', '2222222222', '3', 32, NULL, NULL, NULL, NULL, NULL, 2, 2, NULL);
INSERT INTO INSURANCE_VANB.PERSON (FIRSTNAME,LASTNAME,DOB,GENDER,SUFFIX,EMAIL,SSN,CITIZENSHIP,MARITALSTATUS,SOLDLOCATION,HOMETELEPHONE,MOBILE,UNIT,AGE,SELECTEDCUSTOMER,APPLICATIONINFORMATION_ID,APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID,BENIFICIARYAPPLICATIONINFORMATION_ID,BENIFICIARY_ID,CUSTOMER_ID,ADDRESS_ID,OTHERADDRESS_ID) values('Susan', 'Thomas', '1977-10-10', 'F', NULL, 'gsm2@ibm.com', '333333333', 'US', 'Single', 'NJ', '3333333331', '3333333332', '3', 33, NULL, NULL, NULL, NULL, NULL, 3, 3, NULL);
INSERT INTO INSURANCE_VANB.PERSON (FIRSTNAME,LASTNAME,DOB,GENDER,SUFFIX,EMAIL,SSN,CITIZENSHIP,MARITALSTATUS,SOLDLOCATION,HOMETELEPHONE,MOBILE,UNIT,AGE,SELECTEDCUSTOMER,APPLICATIONINFORMATION_ID,APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID,BENIFICIARYAPPLICATIONINFORMATION_ID,BENIFICIARY_ID,CUSTOMER_ID,ADDRESS_ID,OTHERADDRESS_ID) values('Sam', 'Henderson', '1976-10-10', 'F', NULL, 'gsm2@ibm.com', '444444444', 'US', 'Single', 'MT', '4444444441', '4444444442', '3', 35, NULL, NULL, NULL, NULL, NULL, 4, 4, NULL);
INSERT INTO INSURANCE_VANB.PERSON (FIRSTNAME,LASTNAME,DOB,GENDER,SUFFIX,EMAIL,SSN,CITIZENSHIP,MARITALSTATUS,SOLDLOCATION,HOMETELEPHONE,MOBILE,UNIT,AGE,SELECTEDCUSTOMER,APPLICATIONINFORMATION_ID,APPLICATIONINFORMATIONAPPLICATIONINFORMATION_ID,BENIFICIARYAPPLICATIONINFORMATION_ID,BENIFICIARY_ID,CUSTOMER_ID,ADDRESS_ID,OTHERADDRESS_ID) values('Peter', 'Tips', '1975-10-10', 'M', NULL, 'gsm2@ibm.com', '555555555', 'US', 'Single', 'NY', '5555555551', '5555555552', '3', 25, NULL, NULL, NULL, NULL, NULL, 5, 5, NULL);

ALTER TABLE INSURANCE_VANB.PERSON ALTER COLUMN ID RESTART WITH 6;
ALTER TABLE INSURANCE_VANB.PERSON ALTER ID SET INCREMENT BY 1;
ALTER TABLE INSURANCE_VANB.CUSTOMER ALTER COLUMN ID RESTART WITH 6;
ALTER TABLE INSURANCE_VANB.CUSTOMER ALTER ID SET INCREMENT BY 1;
ALTER TABLE INSURANCE_VANB.ADDRESS ALTER COLUMN ID RESTART WITH 6;
ALTER TABLE INSURANCE_VANB.ADDRESS ALTER ID SET INCREMENT BY 1;
ALTER TABLE INSURANCE_VANB.PRODUCT ALTER COLUMN ID RESTART WITH 6;
ALTER TABLE INSURANCE_VANB.PRODUCT ALTER ID SET INCREMENT BY 1;
